getAllLinks

This endpoint has been deprecated, it is superseded by /v3/links

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
accountIdyesstringLink account ID that is generated by the API once a link is created(createLink)

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getAllLinks
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d accountId=A12345

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
linkDetailsstringArray of link includes all information of the matched link (linkId, firstEntryType, firstEntry, relatedEntryType, relatedEntry, linkType, notes)

Sample Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "linkDetails": [
        {
            "id": "330",
            "firstEntryType": "Account",
            "firstEntry": "A51242",
            "relatedEntry": "P99324",
            "relatedEntryType": "IndivACParty",
            "linkType": "owner",
            "notes": ""
        },
        {
            "id": "345",
            "firstEntryType": "Account",
            "firstEntry": "A51242",
            "relatedEntry": "E67648",
            "relatedEntryType": "EntityACParty",
            "linkType": "owner",
            "notes": ""
        }
    ]
}

Test it Yourself!

Body Params
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json